Record an outbound webhook delivery attempt
curl --request POST \
--url https://api.reconlayer.com/v1/outbound-webhook-deliveries/{outboundWebhookDeliveryId}/attempts \
--header 'Content-Type: application/json' \
--data '
{
"responseStatusCode": 349,
"responseBody": {},
"lastError": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.reconlayer.com/v1/outbound-webhook-deliveries/{outboundWebhookDeliveryId}/attempts"
payload = {
"responseStatusCode": 349,
"responseBody": {},
"lastError": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
responseStatusCode: 349,
responseBody: {},
lastError: '<string>',
nextRetryAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.reconlayer.com/v1/outbound-webhook-deliveries/{outboundWebhookDeliveryId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"eventType": "<string>",
"sourceKey": "<string>",
"endpointCount": 123,
"payload": {},
"deliveries": [
{
"id": "<string>",
"organizationId": "<string>",
"endpointId": "<string>",
"endpointName": "<string>",
"endpointUrl": "<string>",
"attemptCount": 123,
"responseStatusCode": 123,
"lastError": "<string>",
"nextRetryAt": "2023-11-07T05:31:56Z",
"attemptedAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}๐ก Outbound Webhooks
Record an outbound webhook delivery attempt
POST
/
v1
/
outbound-webhook-deliveries
/
{outboundWebhookDeliveryId}
/
attempts
Record an outbound webhook delivery attempt
Headers
Minimum string length:
1Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
Available options:
pending, retry_scheduled, delivered, failed Required range:
100 <= x <= 599Show child attributes
Show child attributes
Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Response
Default Response
Available options:
pending, delivered, failed, skipped Show child attributes
Show child attributes
โI
